## fo-boolean

fo-boolean —

## Synopsis

    struct      FoBoolean;
    struct      FoBooleanClass;
    FoDatatype* fo_boolean_new                  (void);
    FoDatatype* fo_boolean_new_with_value       (gboolean value);
    gboolean    fo_boolean_get_value            (FoDatatype *boolean);

    FoDatatype* fo_boolean_get_true             (void);
    FoDatatype* fo_boolean_get_false            (void);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoDatatype
                   +----FoBoolean

## Properties

      "value"                gboolean             : Read / Write / Construct Only

## Description

## Details

### struct FoBoolean

    struct FoBoolean;

### struct FoBooleanClass

    struct FoBooleanClass;

### fo_boolean_new ()

    FoDatatype* fo_boolean_new                  (void);

Creates a new FoBoolean initialized to default value.

Returns : | the new FoBoolean.

### fo_boolean_new_with_value ()

    FoDatatype* fo_boolean_new_with_value       (gboolean value);

Creates a new FoBoolean set to `value`.

`value` : | gboolean of the new FoBoolean.
Returns : | The new FoBoolean.

### fo_boolean_get_value ()

    gboolean    fo_boolean_get_value            (FoDatatype *boolean);

Get the value of `boolean`.

`boolean` : | FoBoolean.
Returns : | gboolean value of `boolean`.

### fo_boolean_get_true ()

    FoDatatype* fo_boolean_get_true             (void);

Create and return an FoBoolean with the well-known value `true`.

This saves creation of multiple FoBoolean objects that all have the value `true`.

Returns : | FoBoolean with value `true`.

### fo_boolean_get_false ()

    FoDatatype* fo_boolean_get_false            (void);

Create and return an FoBoolean with the well-known value `false`.

This saves creation of multiple FoBoolean objects that all have the value `false`.

Returns : | FoBoolean with value `false`.

## Properties

"`value`" (gboolean : Read / Write / Construct Only) | Boolean value.